[arch-commits] Commit in (4 files)
David Runge
dvzrv at archlinux.org
Tue Oct 15 11:26:31 UTC 2019
Date: Tuesday, October 15, 2019 @ 11:26:31
Author: dvzrv
Revision: 516119
Adding mephisto.lv2.
Added:
mephisto.lv2/
mephisto.lv2/repos/
mephisto.lv2/trunk/
mephisto.lv2/trunk/PKGBUILD
----------+
PKGBUILD | 37 +++++++++++++++++++++++++++++++++++++
1 file changed, 37 insertions(+)
Added: mephisto.lv2/trunk/PKGBUILD
===================================================================
--- mephisto.lv2/trunk/PKGBUILD (rev 0)
+++ mephisto.lv2/trunk/PKGBUILD 2019-10-15 11:26:31 UTC (rev 516119)
@@ -0,0 +1,37 @@
+# Maintainer: David Runge <dave at sleepmap.de>
+
+pkgname=mephisto.lv2
+pkgver=0.2.0
+pkgrel=1
+pkgdesc="A Just-in-Time FAUST compiler embedded in an LV2 plugin"
+arch=('x86_64')
+url="https://open-music-kontrollers.ch/lv2/mephisto/"
+license=('Artistic2.0')
+groups=('lv2-plugins' 'pro-audio')
+depends=('glibc' 'faust' 'libglvnd' 'libx11')
+makedepends=('lv2' 'meson')
+checkdepends=('lv2lint')
+source=("https://git.open-music-kontrollers.ch/lv2/${pkgname}/snapshot/${pkgname}-${pkgver}.tar.xz")
+sha512sums=('0e1f36036bcab35b69b48c65b2dd53109929c1a65c12ba45b18568f595846d8775910999a49b57c43066a31718a1343c02e640d0fca5781283de086cf1a3712a')
+
+build() {
+ cd "$pkgname-$pkgver"
+ meson --prefix=/usr build
+ ninja -C build
+}
+
+check() {
+ cd "$pkgname-$pkgver"
+ # lv2lint requires the lv2 plugin to be setup in LV2_PATH
+ mkdir -vp "build/test/${pkgname}"
+ cp -av "build/"*.{so,ttl} "build/test/${pkgname}"
+ export LV2_PATH="${PWD}/build/test"
+ ninja -C build test || echo "Known failure using lv2lint"
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+ DESTDIR="${pkgdir}" ninja -C build install
+ install -vDm 644 {ChangeLog,README.md} \
+ -t "${pkgdir}/usr/share/doc/${pkgname}"
+}
More information about the arch-commits
mailing list